﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.MaRole>
@{
    ViewBag.Title = "Index";
}

<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Role List
    </h1>
</div>
@section scripts{


    <script type="text/javascript">

        deleterecord("MaRole");
    </script>
}
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Role</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">

        @{
            string error = "";
            string message = "";
            try
            {
                error = ViewBag.error;
            }
            catch (Exception ex)
            { }
            try
            {
                message = ViewBag.message;
            }
            catch (Exception ex)
            { }
            if (error != "" && error != null)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @error
                </div>
            }
            if (message != "" && message != null)
            {
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @message
                </div>
            }



        }
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                  
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.RollName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Cdate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Status)
                    </th>
                    <th></th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.RollName)
                        </td>
                        <td>
                            @{
                    string cdate = "";
                    try
                    {
                        cdate = item.Cdate.Value.ToShortDateString();
                    }
                    catch (Exception ex)
                    { }
                            }
                            @cdate
                        </td>
                        <td>
                            @Html.CheckBoxFor(modelItem => item.Status)
                        </td>
                        <td>
                            @{ 
                                if (utype!= "Super Admin" && item.RollName== "SUPERADMIN")
                                {
                                    <p></p>
                                }
                                else
                                {
                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })
                                    if (Permission.CheckPermission(StaticLogic.RoleId(), CommonUtil.Branches, UserAction.Delete) == true)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/delete.png", "Delete", "Delete", "MaRole", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    }
                                    @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                    @Html.ActionLink("Add/Edit Permission", "Permission", new { id = item.Id })
                                }
                            }
                         
                            
                        </td>
                    </tr>
                }

            </table>


        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
    </div>
</div>
